package ch.unibe.iam.mcast.client;

import java.net.InetSocketAddress;

public class ReserveResourcesCLI {
	
	public static void main(String argv[]) throws Exception {
		
		if (argv.length != 4) {
			System.err.println("<group> <bandwidth> <delay> <jitter>");
			System.exit(1);
		}
		String group=argv[0];
		String bw=argv[1];
		String max_delay=argv[2];
		String jitter=argv[3];
		
		
		MulticastReservation reservation=ReservationManager.createSession(new InetSocketAddress(group,0), 0);
		reservation.reserveResources(Integer.parseInt(bw), Integer.parseInt(max_delay), Integer.parseInt(jitter));
		String id=reservation.getReservationId();
		System.out.println(id);
		System.exit(0);
	}

}
