package ch.unibe.iam.mcast.hivemind.component.iface;

import java.net.InetAddress;

import ch.unibe.iam.mcast.core.MulticastRoutingTable;
import ch.unibe.iam.mcast.router.qos.QoSRequirement;

public interface MulticastRouter {
    
    public MulticastRoutingTable getMulitcastRoutingTable();
    public QoSRequirement getQosReservation(InetAddress group);
    public void changeQoSReservation(InetAddress group, QoSRequirement req);

}
