package ch.unibe.iam.mcast.core.java;

import java.nio.ByteBuffer;

import ch.unibe.iam.mcast.net.ethernet.EthernetConstants;

public class PacketHelper {
	
	
	public static final short getEthernetProtocol(ByteBuffer buffer) {
		return buffer.getShort(buffer.position()+12);
	}
	
	public static final boolean isIPV4Packet(ByteBuffer buffer) {
		return getEthernetProtocol(buffer) == EthernetConstants.ETH_P_IP;
	}
	
	public static final byte getIPV4Protocol(ByteBuffer buffer) {
		return buffer.get(buffer.position()+10);
	}
	

}
