package ch.unibe.iam.mcast.router;

import java.net.InetAddress;

import ch.unibe.iam.mcast.router.qos.QoSRequirement;

public class InetAddressQosRequirementPair {
	
	private final InetAddress groupAddress;
	private final QoSRequirement requirement;

	public InetAddressQosRequirementPair(InetAddress groupAddress, QoSRequirement requirement) {
		this.groupAddress = groupAddress;
		this.requirement = requirement;
		
	}

	public InetAddress getGroupAddress() {
		return groupAddress;
	}

	public QoSRequirement getRequirement() {
		return requirement;
	}

}
