package ch.unibe.iam.mcast.router.pastry;

public class Latch {
	
	public boolean open=false;
	public Throwable exception;
	
	public synchronized void openLatch() {
		this.open=true;
		notifyAll();
	}
	public synchronized void openLatchWithException(Throwable exception) {
		this.open=true;
		this.exception=exception;
		notifyAll();
	}
	
	public synchronized void close() {
		this.open=false;		
	}
	
	public synchronized void pass() throws InterruptedException {
		while (!open) {
			wait();
		}
			
	}
	
	public synchronized void passWithException() throws InterruptedException,Throwable {
		while (!open) {
			wait();
		}
			
	}
	

}
