package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;

import rice.p2p.commonapi.Message;


public class BootstrapMessage extends DHTResponseMessage {

	
	private final InetAddress group;
//	private final Id sender;
	
	public BootstrapMessage(InetAddress group) {
//		this.sender = sender;
		this.group = group;
	}

	public InetAddress getGroup() {
		return group;
	}

//	public Id getSender() {
//		return sender;
//	}

	public int getPriority() {
		return MEDIUM_PRIORITY;
	}

	@Override
	public String toString() {
		return "Bootstrap(Group:"+group.getHostAddress()+")";
	}



}
