package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;

import rice.p2p.commonapi.Id;
import rice.p2p.commonapi.Message;

public class DataAddressQuery implements Message {
	
	private final InetAddress groupAddress;
	private final Id sourceAddress;
	
	
	public DataAddressQuery(InetAddress groupAddress, Id sourceAddress) {
		this.groupAddress=groupAddress;
		this.sourceAddress = sourceAddress;
	}

	public int getPriority() {		
		return HIGH_PRIORITY;
	}

	public InetAddress getGroupAddress() {
		return groupAddress;
	}

	public Id getSourceAddress() {
		return sourceAddress;
	}

}
