package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;

import ch.unibe.iam.mcast.router.pastry.GroupState;

public class NewGroupStateMessage extends DHTMessage {

	private final GroupState newState;
	private final InetAddress group;

	public NewGroupStateMessage(InetAddress group, GroupState newState) {
		this.group = group;
		this.newState = newState;
		
	}
	
	@Override
	public InetAddress getGroup() {
		return group;
	}

	public int getPriority() {
		return HIGH_PRIORITY;
	}



	public GroupState getNewState() {
		return newState;
	}

}
