package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;

import rice.p2p.commonapi.Id;
import rice.p2p.commonapi.Message;


public class WantToJoinMessage extends DHTMessage {

	private final InetAddress group;
	private final Id sender;
	
	public WantToJoinMessage(Id sender, InetAddress group) {

		this.sender = sender;
		this.group = group;
	}

	public InetAddress getGroup() {
		return group;
	}

	public Id getSender() {
		return sender;
	}

	public int getPriority() {
		return MEDIUM_PRIORITY;
	}
	public String toString() {
		return "WantToJoin(Group:"+group.getHostAddress()+" from "+sender.toStringFull()+")";
	}

}
