/*
 * Created on Oct 8, 2004
 *
 */
package ch.unibe.iam.mcast.net.ip;

import java.nio.ByteBuffer;

/**
 * @author dragan
 *  
 */
public class UnknownIPPacketProtocolFactory implements IPProtocolPacketFactory {

    /**
     *  
     */
    public UnknownIPPacketProtocolFactory() {

    }

    /*
     * (non-Javadoc)
     * 
     * @see ch.unibe.iam.mcast.ip.IPProtocolPacketFactory#createPacket(ch.unibe.iam.mcast.ip.IPV4PacketHeader,
     *      java.nio.ByteBuffer)
     */
    public IPV4Packet createPacket(IPV4PacketHeader header, ByteBuffer dataBuffer) throws MalformedPacketException {
        return new UnknownIPV4Packet(header, dataBuffer);
    }

   
}