package ch.unibe.iam.mcast.router;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class RouterUtil {
	private static final Log log=LogFactory.getLog("performance");
	private static final boolean shouldLog;
	
	static {
		String bs=System.getenv("EUQOS_PERFORMANCE_LOG");
	    
	    if (bs == null) {
	    	bs="false";        
	    }
	    
	    shouldLog = Boolean.parseBoolean(bs);	
	}
	
	public static boolean performLogging() {
		return shouldLog;
	}
	
	
	public static void performanceLog(String subsystem, String line) {
		if (performLogging()) {
			long time=System.currentTimeMillis();
			if (log.isInfoEnabled()) {
				log.info(""+time+": "+subsystem+(line == null ? "" : ""+line));
			}
		}
	}

}
