package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;

import rice.p2p.commonapi.Message;


public class BackOffMessage extends DHTResponseMessage {

	private final InetAddress group;
	private final long timeout;
//	private final Id sender;
	
	public BackOffMessage(InetAddress group, long timeout) {
//		this.sender = sender;
		this.group = group;
		this.timeout = timeout;
	}

	public InetAddress getGroup() {
		return group;
	}

	public long getTimeout() {
		return timeout;
	}

	public int getPriority() {
		return Message.MEDIUM_PRIORITY;
	}

	@Override
	public String toString() {		
		return "BackOff(Group:"+group.getHostAddress()+" for "+timeout+" msec";
	}

//	public Id getSender() {
//		return sender;
//	}

	
	

}
