package ch.unibe.iam.mcast.router.pastry.message;

import java.net.InetAddress;
import java.net.InetSocketAddress;

import rice.p2p.commonapi.Id;
import rice.p2p.commonapi.Message;

public class DataAddressResponse implements Message {
	
	private final InetAddress groupAddres;
	private final InetSocketAddress dataAddress;
	private final Id source;

	public DataAddressResponse(Id source, InetAddress groupAddres, InetSocketAddress dataAddress) {
		this.source = source;
		this.groupAddres = groupAddres;
		this.dataAddress = dataAddress;
		
	}

	public InetSocketAddress getDataAddress() {
		return dataAddress;
	}

	public InetAddress getGroupAddres() {
		return groupAddres;
	}

	public int getPriority() {
		return HIGH_PRIORITY;
	}

	public Id getSource() {
		return source;
	}

}
