<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/struts-tags" prefix="s" %>
<%@page import="ch.unibe.iam.mcast.hivemind.component.iface.MulticastRouter"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.Map"%>
<%@page import="java.net.InetAddress"%>
<%@page import="java.util.Set"%>
<%@page import="ch.unibe.iam.mcast.core.MulticastRoutingTableEntry"%>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>EuQoS Admin Portal</title>
    <meta http-equiv="keywords" content="keyword1,keyword2,keyword3" />
    <meta http-equiv="description" content="this is my page" />
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="./styles.css" />
  </head>
<body>

<!-- Start of Header -->
<div id="header">
  <img src='images/banner_euqos_logo.jpg' alt='' /><!--<img src='images/banner_middle.jpg' alt='' />-->
<div id='banner'><p class='banner-text'>EuQoS MCAST Admin-Portal</p></div>
<!--<div id='header-right'><a href='#'>logout</a></div>-->
</div>
<!-- End of Header -->

<!-- Start of Sidebar -->
<div id="sidebar">
<h2 class='menu'>Navigation</h2>
<div class='menu'><img src='images/menu_bullet.jpg' alt='' />&nbsp;<a href="routing-table.action" class='menulnk'>Routing Table</a></div>
<br>
<br>
<br>
<br>
<br>
<br>
<div id='menu-bottom'></div>
</div>

<!-- End of Sidebar -->
<%-- 
<s:iterator value="routerFacade.routingTable.routes">
	kkk
</s:iterator> --%>
<div id="content">
<h2 class='content-title'>Routing Table</h2>
<hr/>
<table width="70%">
<tr>
	<th>Multicast Group</th>
	<th>Destination</th>
	<th>QoS</th>
</tr>
<% ch.unibe.iam.mcast.core.MulticastRoutingTable table=(ch.unibe.iam.mcast.core.MulticastRoutingTable)application.getAttribute("multicast.routing.table");
	MulticastRouter mr=(MulticastRouter)application.getAttribute("multicast.router");
	int counter=0;
	for (Iterator i=table.getRoutes().entrySet().iterator(); i.hasNext();) {
	    Map.Entry entry=(Map.Entry) i.next();
	    InetAddress group=(InetAddress)entry.getKey();
	    Set destinations=(Set)entry.getValue();
	    for (Iterator i2=destinations.iterator(); i2.hasNext();) {
	        MulticastRoutingTableEntry destination=(MulticastRoutingTableEntry)i2.next();
%>

<tr <%=  (counter++ %2 == 0)  ? "class=\"highlight\"" : "" %>>
	<td><%= group.getHostAddress() %></td>
	<td><%= destination.getDestination() %></td>
	<td><%= mr.getQosReservation(group) %></td>
</tr>       
	        
<%       
	    }
	}
	%>  

</table>

</div>
<!-- Start of Footer -->
<div id="footer">
<p class='credits'>&#169; 2004-2008 by the <a href='http://www.euqos.org' onclick="window.open(this.href,'_blank');return false;">EuQoS</a> Consortium - All rights reserved - Developed by Dragan Milic, Marc Brogle, <a href='http://www.iam.unibe.ch/~rvs' onclick="window.open(this.href,'_blank');return false;">University of Bern</a></p>
<p class='center'>
<a href="http://validator.w3.org/check?uri=referer"><img src="images/valid-xhtml10.gif" alt="Valid XHTML 1.0 Strict" height="31" width="88" class="noborder"/></a>&nbsp;
<a class="right" href="http://jigsaw.w3.org/css-validator/"> <img src="images/vcss.gif" alt="Valid CSS!" height="31" width="88" class="noborder"/></a>
</p>
</div>
<!-- End of Footer -->

</body>
</html>